Page MenuHomePhabricator

[analyzer] Extract InterestingLValueHandler
ClosedPublic

Authored by vsavchenko on Jun 8 2021, 10:56 AM.

Diff Detail

Event Timeline

vsavchenko created this revision.Jun 8 2021, 10:56 AM
vsavchenko requested review of this revision.Jun 8 2021, 10:56 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 8 2021, 10:56 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript
NoQ accepted this revision.Jun 10 2021, 11:56 PM
NoQ added inline comments.
clang/lib/StaticAnalyzer/Core/BugReporterVisitors.cpp
2154–2155

I honestly think this code has much bigger problems than that. This code (together with whatever remains in the default handler) is basically what encouraged me to come up with note tags; it's a prime example of a clumsy reverse engineering effort that could be communicated directly instead. Whoever untangles this will forever be ingrained in the history of the static analyzer :D

This revision is now accepted and ready to land.Jun 10 2021, 11:56 PM
This revision was landed with ongoing or failed builds.Jun 15 2021, 1:38 AM
This revision was automatically updated to reflect the committed changes.